swh:1:snp:9c27352633c4639a943e316050a7b904f57900e2
Raw File
Tip revision: 6dea3331ab440cbcd6c8994415d2029a3cc69f31 authored by Romain Bardou on 08 April 2021, 11:41:20 UTC
Changelog: add version 8.3
Tip revision: 6dea333
opam-check.sh
#! /bin/sh

script_dir="$(cd "$(dirname "$0")" && echo "$(pwd -P)/")"
src_dir="$(dirname "$script_dir")"

. "$script_dir"/version.sh

opams=$(find "$src_dir/vendors" "$src_dir/src" -name \*.opam -print)

echo "## Checking installed dependencies..."
echo

if ! opam install $opams --deps-only --with-test --show-actions | grep "Nothing to do." > /dev/null 2>&1 ; then
    echo
    echo 'Failure! Missing actions:'
    echo
    opam install $opams --deps-only --with-test --show-actions
    echo
    echo 'Failed! Please read the doc in `./scripts/update_opam_repo.sh` and act accordingly.'
    echo
    exit 1
fi

#echo '## Running `./scripts/update_opam_repo.sh`'
#echo
#./scripts/update_opam_repo.sh || exit 1
#
#if [ -n "$(cat opam_repo.patch)" ] ; then
#
#    echo "##################################################"
#    cat opam_repo.patch
#    echo "##################################################"
#
#    echo 'Failed! The variables `opam_repository_tag` and `full_opam_repository_tag` are not synchronized. Please read the doc in `./scripts/update_opam_repo.sh` and act accordingly.'
#    echo
#    exit 1
#fi

echo "Ok."
back to top